#!/usr/bin/make

# popclk Version 1.1.0 - World Population Clock
# Copyright (C) 2001-2010  dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

OBJ=popclk.o \
	astrint.o \
	greg2jd.o

CC=gcc

CFLAGS=-c -Wall

LDFLAGS=-lncurses -lm

popclk:		$(OBJ)
	$(CC) -Wall $(OBJ) -o popclk $(LDFLAGS)
	# popclk 72897133

popclk.o:	popclk.c
	$(CC) $(CFLAGS) popclk.c

greg2jd.o:	greg2jd.c
	$(CC) $(CFLAGS) greg2jd.c

astrint.o:	astrint.c
	$(CC) $(CFLAGS) astrint.c

clean:
	rm -f $(OBJ) popclk
